Bug 56247 - netconfig reads existing config incorrectly, swapping defaultroute gw and ns1
netconfig reads existing config incorrectly, swapping defaultroute gw and ns1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-14 11:45 EST by Bishop Clark
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-13 23:40:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2001-11-14 11:45:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [en] (Win98; U)

Description of problem:
subsequent requests via netconfig to alter static config information on an interface appears to include netconfig misreading existing info, 
and presenting a dialog that will trap the unwary into swapping their gw and ns1 host entries.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.use netconfig to statically configure eth0
2.run netconfig again
3.begin entering identical information until netconfig pops up its guesses for gw and ns1.  

	

Actual Results:  
These last two values will be directly swapped.

Expected Results:  Normal execution, without swapped values

Additional info:

Note that the data files containing the information - namely resolv.conf and efcfg-eth0  - did appear to contain the correct info, and it is 
merely in netconfig's attempt to read this info and hint the info to the user (incompletely, it may be noted) where the information is 
swapped.

workaround:
This bug is one that affects connectivity and routing.  Therefore, it's being reported.  The creful user - we're all careful, right? - will notice 
this situation in his/her ample spare time that is alotted for running every single configuration command, and swap the numbers on 
re-entry.

Just be extra careful, kids, and try this at home ; not on the box that's 5000 km away.
Comment 1 Bill Nottingham 2003-08-13 23:40:08 EDT
netconfig doesn't read the old network info at all.

Note You need to log in before you can comment on or make changes to this bug.